Bug 733610 - Add BuildRequires: python-distutils-extra
Summary: Add BuildRequires: python-distutils-extra
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-glance
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Angus Salkeld
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 08:53 UTC by Mark McLoughlin
Modified: 2014-01-13 01:40 UTC (History)
3 users (show)

Fixed In Version: openstack-glance-2011.3-0.8.d4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 19:21:07 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2011-08-26 08:53:16 UTC
See this warning during the build:

  Warning: DistUtilsExtra required to use i18n builders. 
  To build glance with support for message catalogs, you need 
    https://launchpad.net/python-distutils-extra >= 2.18

If python-distutils-extra is installed, it seems this changes the setup.py install behaviour - e.g. the config files get installed automatically - so this needs to be figured out before making the change

Comment 1 Angus Salkeld 2011-08-31 12:45:46 UTC
Fix, in git but not built.

Comment 2 Fedora Update System 2011-09-06 15:52:04 UTC
openstack-glance-2011.3-0.8.d4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-glance-2011.3-0.8.d4.fc16

Comment 3 Fedora Update System 2011-09-06 18:10:14 UTC
Package openstack-glance-2011.3-0.8.d4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-glance-2011.3-0.8.d4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openstack-glance-2011.3-0.8.d4.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-30 19:21:02 UTC
openstack-glance-2011.3-0.8.d4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.